writeMCMCObject {AnaCoDa} | R Documentation

## Write MCMC Object

### Description

`writeMCMCObject` stores the MCMC information from the model fitting run in a file.

### Usage

    writeMCMCObject(mcmc, file)

### Arguments

`mcmc` | MCMC object that has run the model fitting algorithm.
`file` | A filename where the data will be stored.

### Value

This function has no return value.

### Examples

    ## saving the MCMC object after model fitting
    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    genome <- initializeGenomeObject(file = genome_file)
    sphi_init <- c(1,1)
    numMixtures <- 2
    geneAssignment <- c(rep(1,floor(length(genome)/2)),rep(2,ceiling(length(genome)/2)))
    parameter <- initializeParameterObject(genome = genome, sphi = sphi_init,
                                           num.mixtures = numMixtures,
                                           gene.assignment = geneAssignment,
                                           mixture.definition = "allUnique")
    samples <- 2500
    thinning <- 50
    adaptiveWidth <- 25
    mcmc <- initializeMCMCObject(samples = samples, thinning = thinning,
                                 adaptive.width=adaptiveWidth, est.expression=TRUE,
                                 est.csp=TRUE, est.hyper=TRUE, est.mix = TRUE)
    divergence.iteration <- 10
    ## Not run:
    runMCMC(mcmc = mcmc, genome = genome, model = model,
            ncores = 4, divergence.iteration = divergence.iteration)
    writeMCMCObject(mcmc = mcmc, file = file.path(tempdir(), "file.Rda"))

    ## End(Not run)

[Package AnaCoDa version 0.1.3.0 Index]